=== debian/changelog ===
lemonldap-ng (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Add NEWS entry
  * Add libhttp-parser-xs-perl in recommended libraries
  * Remove unnecessary versioned dependency for liblasso-perl
  * Replace image duplication between doc packages by links
  * debian/copyright: remove unused BSD license
  * Add lintian-overrides for a false positive source-is-missing warning
  * debian/patches:
    - remove spelling-error patch now included in upstream
    - add patch to preserve original sources
    - update javascript-path patch

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 05 Apr 2016 21:37:49 +0200

lemonldap-ng (1.9.0-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * Move priority from optional to extra to be compliant to 2.5 policy chapter
    (some dependencies are in extra section)
  * Update lintian override for false positive
    'source-contains-prebuilt-javascript-object' tag for customized (removed)
    jquery-ui
  * Replace some duplicated icons in doc by links
  * Replace MIT license by Expat for jquery* libraries

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Xavier Guimard ]
  * New upstream release
  * Install README.Debian only for lemonldap-ng metapackage (Closes: #814381)
  * Add Nginx doc in README.Debian
  * Update copyrights
  * Update example files
  * Update dependencies
  * Update install directories
  * Update description (+OpenID-Connect)
  * Update doc files
  * debian/control:
    - Bump Standards-Version to 3.9.7
    - Add openid-connect-provider and openid-connect-relying-party virtual
      packages
    - Move liblemonldap-ng-cli-perl conflict to
      liblemonldap-ng-common-perl
    - Add lemonldap-ng-fr-doc and lemonldap-ng-fastcgi-server new packages
  * Add systemd files for lemonldap-ng-fastcgi-server
  * debian/patches:
    - Remove all patches: now included in upstream
    - Add keep-angularjs-files.patch to keep AngularJS files in install until
      Debian version of it >= 1.4
    - Keep angularjs files until libjs-angularjs reaches 1.4.0
    - Add new spelling-errors patch
  * lintian:
    - Remove "source-is-missing" lintian overrides
    - Replace duplicate files by links in doc
    - Hide false positive lintian warning about privacy breach
    - Add psessions directories in lintian overrides and move all sessions
      relative overrides to common
  * debian/rules:
    - Update make variables
    - Use USEDEBIANLIBS=yes in make install
  * Update README.Debian

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 06 Mar 2016 17:42:11 +0100
