## lemonldap-ng 1.9.2

=== debian/changelog ===
lemonldap-ng (1.9.2-1) unstable; urgency=medium

  * New upstream release
  * Remove keep-angular-files patch since libjs-angularjs >1.4 is now
    available
  * Fix "circular dependency": split liblemonldap-ng-handler-perl into
    lemonldap-ng-handler and liblemonldap-ng-handler-perl (Closes: #821139)
    - Add a debian/NEWS entry for this
  * Remove liblemonldap-ng-handler-perl.postrm since My::Package isn't
    built since 1.4
  * Portal: move XML* deps from Recommends to Depends since
    notifications are enabled by default
  * Add lintian overrides for false positive "duplicate word" in
    README.Debian
  * Add patch to replace Mouse by Moose since it seems to not work under
    ModPerl::Registry (see #823217)
    - update debian/control

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 07 May 2016 16:59:27 +0200
