=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                      libjson-perl,
                      liblasso-perl,
                      libmime-lite-perl,
-                     libmouse-perl,
+                     libmoose-perl,
                      libnet-cidr-lite-perl,
                      libnet-ldap-perl,
                      libnet-openid-consumer-perl,
@@ -44,7 +44,7 @@
                      libxml-libxslt-perl,
                      libxml-simple-perl,
                      perl
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/lemonldap-ng.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/lemonldap-ng.git
 Homepage: http://lemonldap-ng.org/
@@ -52,7 +52,7 @@
 Package: lemonldap-ng
 Architecture: all
 Depends: ${misc:Depends},
-         liblemonldap-ng-handler-perl (= ${binary:Version}),
+         lemonldap-ng-handler (= ${binary:Version}),
          liblemonldap-ng-manager-perl (= ${binary:Version}),
          liblemonldap-ng-portal-perl (= ${binary:Version})
 Provides: openid-connect-provider,
@@ -111,9 +111,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         nginx-extras | nginx,
-         liblemonldap-ng-handler-perl,
-         libplack-perl
+         liblemonldap-ng-handler-perl (= ${binary:Version}),
+         libplack-perl,
+         nginx-extras | nginx
 Recommends: libhttp-parser-xs-perl,
 Suggests: nginx-extras
 Section: web
@@ -130,13 +130,33 @@
  .
  Lemonldap::NG FastCGI server provides a Nginx auth_request server.
 
+Package: lemonldap-ng-handler
+Architecture: all
+Depends: ${misc:Depends},
+         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server (= ${binary:Version}),
+         liblemonldap-ng-handler-perl (= ${binary:Version})
+Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
+Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
+Description: Lemonldap::NG Apache handler part
+ Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
+ or directly on application Apache servers. It can be used in conjunction with
+ OpenID-Connect, CAS and SAML systems as identity or service provider. It can
+ also be used as proxy between those federation systems.
+ .
+ It manages both authentication and authorization and provides headers for
+ accounting. So you can have a full AAA protection. Authorization are built by
+ associating a regular expression and a rule. Regular expression is applied on
+ the requested URL and the rule calculates if the user is authorized.
+ .
+ This package provides configuration files for Apache and Nginx used to protect
+ web areas.
+
 Package: liblemonldap-ng-handler-perl
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
-         libapache2-mod-perl2 | lemonldap-ng-fastcgi-server,
          liblemonldap-ng-common-perl (= ${binary:Version}),
-         libmouse-perl,
+         libmoose-perl,
          liburi-perl,
          libwww-perl
 Recommends: libhttp-message-perl | libwww-perl (<< 6),
@@ -156,8 +176,7 @@
  associating a regular expression and a rule. Regular expression is applied on
  the requested URL and the rule calculates if the user is authorized.
  .
- Lemonldap::NG::Handler is the Apache module part (handler) used to protect web
- areas.
+ Lemonldap::NG::Handler provides Perl libraries used by web server handlers.
 
 Package: liblemonldap-ng-conf-perl
 Depends: ${misc:Depends},
@@ -182,7 +201,7 @@
          libcrypt-rijndael-perl,
          libdbi-perl,
          libjson-perl,
-         libmouse-perl,
+         libmoose-perl,
          libnet-cidr-lite-perl,
          libsoap-lite-perl
 Recommends: libapache-session-browseable-perl,
@@ -211,6 +230,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libjs-angularjs (>= 1.4),
          libconvert-pem-perl,
          libcrypt-openssl-rsa-perl,
          libhtml-template-perl,
@@ -218,12 +238,12 @@
          libjs-jquery,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
-         libmouse-perl,
+         libmoose-perl,
          libplack-perl,
          libwww-perl
 Recommends: lemonldap-ng-doc (= ${binary:Version}),
             libapache-session-browseable-perl,
-            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server,
+            libapache2-mod-fcgid | libapache2-mod-fastcgi | lemonldap-ng-fastcgi-server (= ${binary:Version}),
             libjson-xs-perl,
             libhttp-parser-xs-perl,
             liblwp-protocol-https-perl | libwww-perl (<< 6),
@@ -258,31 +278,3 @@
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
          libmime-lite-perl,
-         libnet-ldap-perl,
-         libregexp-assemble-perl,
-         libstring-random-perl,
-         libunicode-string-perl,
-         liburi-perl
-Recommends: libnet-facebook-oauth2-perl | libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl | libnet-twitter-perl | libauthcas-perl | libweb-id-perl,
-            libjs-bootstrap,
-            libwww-perl
-Suggests: libauthcas-perl,
-          libauthen-captcha-perl,
-          libdbi-perl,
-          libglib-perl,
-          liblasso-perl,
-          liblemonldap-ng-handler-perl (= ${binary:Version}),
-          libnet-facebook-oauth2-perl,
-          libnet-openid-consumer-perl,
-          libnet-openid-server-perl,
-          libnet-twitter-perl,
-          libsoap-lite-perl,
-          libweb-id-perl,
-          libhttp-message-perl | libwww-perl (<< 6),
-          liblwp-protocol-https-perl | libwww-perl (<< 6),
-          libxml-libxml-perl,
-          libxml-libxslt-perl,
-          libxml-simple-perl,
-          slapd
-Pre-Depends: debconf
-Description: Lemonldap::NG authentication portal part
