## lemonldap-ng 1.9.3

=== debian/changelog ===
lemonldap-ng (1.9.3-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Xavier Guimard ]
  * New upstream release
  * Update patches
  * Add libfcgi-procmanager-perl as dependency of
    lemonldap-ng-fastcgi-server
  * Update lemonldap-ng-doc.links (Closes: #825587)

 -- Xavier Guimard <x.guimard@free.fr>  Tue, 07 Jun 2016 19:48:32 +0200
