## lemonldap-ng 1.9.4

=== debian/changelog ===
lemonldap-ng (1.9.4-3) unstable; urgency=medium

  * Add patch to avoid network access attempts (Closes: #830223)

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 08 Jul 2016 07:04:39 +0200

lemonldap-ng (1.9.4-2) unstable; urgency=medium

  * Fix "FastCGI server restart fails with SysVinit": remove old unused tip
    (Closes: #830166)

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 06 Jul 2016 22:54:09 +0200

lemonldap-ng (1.9.4-1) unstable; urgency=medium

  * New upstream release (Closes: #826759)
  * Refresh patch

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 15 Jun 2016 23:13:09 +0200
