## lemonldap-ng 1.9.5

=== Makefile ===
--- 
+++ 
@@ -267,6 +267,7 @@
 	@yui-compressor $*.js > $*.min.js
 
 fastcgi-server/man/llng-fastcgi-server.1p: fastcgi-server/sbin/llng-fastcgi-server
+	@echo Update FastCGI man page
 	@pod2man -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.1p
 
 # Perl libraries configuration
@@ -368,4 +369,3 @@
 start_web_server:	all prepare_test_server
 	# Clean old server if launched
 	-@[ -e e2e-tests/conf/apache2.pid ] && kill `cat e2e-tests/conf/apache2.pid` || true
-	-@[ -e e2e-tests/conf/nginx.pid ]   && kill `cat e2e-tests/conf/nginx.pid` || true
