=== debian/changelog ===
lemonldap-ng (1.9.5-1) unstable; urgency=medium

  * New upstream release
  * Remove patch added in 1.9.4-3, now included in upstream
  * Update patchs
  * Add spelling error patch

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 14 Jul 2016 11:50:22 +0200
