=== debian/control ===
--- 
+++ 
@@ -111,6 +111,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${perl:Depends},
+         libfcgi-procmanager-perl,
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libplack-perl,
          nginx-extras | nginx
@@ -277,4 +278,3 @@
          libjs-jquery-ui,
          libjs-jquery-cookie,
          liblemonldap-ng-common-perl (= ${binary:Version}),
-         libmime-lite-perl,
