## lemonldap-ng 1.9.7

=== Makefile ===
--- 
+++ 
@@ -168,6 +168,10 @@
 			$(RPORTALSKINSDIR)/bootstrap/js/bootstrap* \
 			$(RPORTALSKINSDIR)/common/js/jquery-* \
 			$(RPORTALSKINSDIR)/common/js/jquery.cookie*
+DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
+			pages/documentation/current/lib/scripts/jquery-ui*.js \
+			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
+DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
 MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
 PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN) $(RPORTALSKINSDIR)/common/js/jquery*
 
@@ -364,8 +368,3 @@
 		e2e-tests/conf/env.conf \
 		e2e-tests/conf/test-nginx.conf
 
-e2e-tests/conf/apache2.pid: start_web_server
-
-start_web_server:	all prepare_test_server
-	# Clean old server if launched
-	-@[ -e e2e-tests/conf/apache2.pid ] && kill `cat e2e-tests/conf/apache2.pid` || true
