=== debian/changelog ===
lemonldap-ng (1.9.7-3+deb9u2) stretch; urgency=medium

  * Fix CDA regression introduced in 1.9.7-3+deb9u1
  * Fix XXE vulnerability (Closes: #931117)

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 May 2019 10:35:48 +0200

lemonldap-ng (1.9.7-3+deb9u1) stretch-security; urgency=medium

  * Add patch to fix token security (Closes: #928944, CVE-2019-12046)

 -- Xavier Guimard <yadd@debian.org>  Mon, 13 May 2019 18:51:54 +0200

lemonldap-ng (1.9.7-3) unstable; urgency=medium

  * Remove unnecessary version dependency for lsb-base
  * Fix unhandled symlink to directory conversion (Closes: #854859)
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 12 Feb 2017 13:12:21 +0100

lemonldap-ng (1.9.7-2) unstable; urgency=medium

  * Add patch to disable some heavy developer tests (Closes: #845167)
  * Add libdbd-sqlite3-perl in build dependencies for better test
    coverage

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 26 Dec 2016 10:01:52 +0100

lemonldap-ng (1.9.7-1) unstable; urgency=medium

  * New upstream release
  * Remove unused override for angularjs
  * Update short description for handler packages
  * Update long description to replace "Apache" by "web server"
  * Remove alternate dependency to libwww-perl <<6
  * Update patches
  * Keep Mouse for tests and command-line
  * Add lsb-base in fastcgi server dependencies
  * Replace Net::Twitter dependency by Net::OAuth
  * Add autopkgtest tests (copied from pkg-perl-autopkgtest and adapted)
  * Add libjs-bootstrap and libjs-es5-shim in manager dependencies
  * Add libmouse-perl in build dependencies
  * Use compiled doc for doc packages
  * Remove spelling error patch now included in upstream
  * Add lintian override for serialized but unused bootstrap files
  * Add lintian override for simple but serialized JS files in documentation
  * Update debian/copyright

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 15 Dec 2016 17:52:23 +0100
