=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(MAKE) all
 
 override_dh_auto_install:
-	$(MAKE) install install_fr_doc_site \
+	$(MAKE) install \
 			DESTDIR=$(CURDIR)/debian/tmp \
 			PREFIX=/usr \
 			LMPREFIX=/usr/share/lemonldap-ng/ \
@@ -50,14 +50,15 @@
 			DEFDOCDIR=/usr/share/doc/lemonldap-ng-doc \
 			FRDOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
 			USEDEBIANLIBS=yes
-
+	$(MAKE) install_fr_doc_site \
+			DESTDIR=$(CURDIR)/debian/tmp \
+			DOCDIR=/usr/share/doc/lemonldap-ng-fr-doc \
+			USEDEBIANLIBS=yes
+	rm -rvf debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/documentation \
+		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/icons \
+		debian/tmp/usr/share/doc/lemonldap-ng-fr-doc/fr-doc/pages/documentation/current/lib
 	mkdir $(TMP)/$(LMSHAREDIR)/portal
 	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
-
-override_dh_link:
-	rm -rf debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/media \
-		debian/lemonldap-ng-fr-doc/usr/share/doc/lemonldap-ng-fr-doc/lib
-	dh_link
 
 override_dh_compress:
 	dh_compress -X favicon.ico
